"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FaceApiContext = void 0;
const react_1 = __importStar(require("react"));
// Lib
const face_api_1 = require("../../lib/face-api");
exports.FaceApiContext = react_1.default.createContext({
    hasFaceApiLoaded: false,
    labels: [],
});
function VideoRecognitionContextProvider({ children, faceApiModelsPath, imageLabels = {} }) {
    const [hasModelsLoaded, setModelsLoaded] = (0, react_1.useState)(false);
    const [hasLabelsLoaded, setLabelsLoaded] = (0, react_1.useState)(false);
    const [labels, setLabels] = (0, react_1.useState)([]);
    (0, react_1.useEffect)(() => {
        (0, face_api_1.loadModels)(faceApiModelsPath).then(() => {
            setModelsLoaded(true);
        });
    }, []);
    (0, react_1.useEffect)(() => {
        if (!hasModelsLoaded) {
            return;
        }
        (0, face_api_1.loadImageLabels)(imageLabels).then(labels => {
            setLabels(labels);
            setLabelsLoaded(true);
        });
    }, [hasModelsLoaded]);
    const contextValues = (0, react_1.useMemo)(() => ({
        hasFaceApiLoaded: hasModelsLoaded || hasLabelsLoaded,
        labels,
    }), [hasModelsLoaded, hasLabelsLoaded, labels]);
    return (react_1.default.createElement(exports.FaceApiContext.Provider, { value: contextValues }, children));
}
exports.default = VideoRecognitionContextProvider;
//# sourceMappingURL=Provider.js.map