"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const face_api_js_1 = require("face-api.js");
function loadImageLabels(imageLabels) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const getDescriptorsPromise = Object.keys(imageLabels).map((name) => __awaiter(this, void 0, void 0, function* () {
                const images = imageLabels[name];
                const descriptors = [];
                images.map((image) => __awaiter(this, void 0, void 0, function* () {
                    const faceApiImage = yield (0, face_api_js_1.fetchImage)(image);
                    const detection = yield (0, face_api_js_1.detectSingleFace)(faceApiImage)
                        .withFaceLandmarks()
                        .withFaceDescriptor();
                    if (detection === null || detection === void 0 ? void 0 : detection.descriptor) {
                        descriptors.push(detection.descriptor);
                    }
                }));
                // await Promise.all(images.map(async image => {
                //     const faceApiImage = await fetchImage(image);
                //     const detection = await detectSingleFace(faceApiImage)
                //         .withFaceLandmarks()
                //         .withFaceDescriptor()
                //         if (detection?.descriptor) {
                //             descriptors.push(detection.descriptor)
                //         }
                //     }))
                //     return new LabeledFaceDescriptors(name, descriptors);
                // })
                return new face_api_js_1.LabeledFaceDescriptors(name, descriptors);
            }));
            const labeledFaceDescriptors = yield Promise.all(getDescriptorsPromise);
            console.info("FaceApi: Image labels has been loaded");
            return labeledFaceDescriptors;
        }
        catch (error) {
            console.error("FaceApi: Error on loading image labels", error);
            throw error;
        }
    });
}
exports.default = loadImageLabels;
//# sourceMappingURL=loadImageLabels.js.map