"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const face_api_js_1 = require("face-api.js");
let isLoaded = false;
function loadModels(path = "/faceapi-models") {
    return __awaiter(this, void 0, void 0, function* () {
        if (isLoaded) {
            return;
        }
        try {
            yield Promise.all([
                (0, face_api_js_1.loadSsdMobilenetv1Model)(path),
                (0, face_api_js_1.loadFaceLandmarkModel)(path),
                (0, face_api_js_1.loadFaceRecognitionModel)(path),
                (0, face_api_js_1.loadTinyFaceDetectorModel)(path),
                (0, face_api_js_1.loadAgeGenderModel)(path),
            ]);
            console.info("FaceApi: All needed models has been loaded");
            isLoaded = true;
        }
        catch (error) {
            console.error("FaceApi: Error while loading models", error);
            throw error;
        }
    });
}
exports.default = loadModels;
;
//# sourceMappingURL=loadModels.js.map