var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { loadFaceRecognitionModel, loadSsdMobilenetv1Model, loadTinyFaceDetectorModel, loadAgeGenderModel, loadFaceLandmarkModel, } from 'face-api.js';
let isLoaded = false;
export default function loadModels(path = "/faceapi-models") {
    return __awaiter(this, void 0, void 0, function* () {
        if (isLoaded) {
            return;
        }
        try {
            yield Promise.all([
                loadSsdMobilenetv1Model(path),
                loadFaceLandmarkModel(path),
                loadFaceRecognitionModel(path),
                loadTinyFaceDetectorModel(path),
                loadAgeGenderModel(path),
            ]);
            console.info("FaceApi: All needed models has been loaded");
            isLoaded = true;
        }
        catch (error) {
            console.error("FaceApi: Error while loading models", error);
            throw error;
        }
    });
}
;
//# sourceMappingURL=loadModels.js.map