import { FaceMatcher, draw } from "face-api.js";
const filterUnknownLabel = ({ label }) => label.toLowerCase() !== "unknown";
const drawFaceMatcherDetections = (canvas, labels, detections, faceMatcherThreshold, onRecognizeFace) => {
    const faceMatcher = new FaceMatcher(labels, faceMatcherThreshold);
    const recognizedFaces = detections.map(detection => faceMatcher.findBestMatch(detection.descriptor)).filter(filterUnknownLabel);
    if (recognizedFaces.length) {
        onRecognizeFace === null || onRecognizeFace === void 0 ? void 0 : onRecognizeFace(recognizedFaces);
    }
    recognizedFaces.forEach((recognizedFace, index) => {
        const { label: name, distance: fidelity } = recognizedFace;
        const detection = detections[index];
        const { box } = detection.detection;
        new draw.DrawTextField([
            `${name}: ${(fidelity * 100).toFixed(2)}`
        ], box.bottomLeft).draw(canvas);
    });
};
export default {
    drawFaceMatcherDetections
};
//# sourceMappingURL=face-api.js.map